aegis -New_BRanch_Undo(1)

NAME
aegis -New_BRanch_Undo - remove a branch

SYNOPSIS
aegis -New_BRanch_Undo number [ option... ]
aegis -New_BRanch_Undo -Help

DESCRIPTION
The aegis -New_BRanch_Undo command is used to remove a branch created with the aenbr(1) command.

Note: This command will completely remove all trace of the branch from Aegis' database. This includes all changes performed on the branch and all of its sub-branches. (This history remains in the history files, but is inaccessible.)

If you wish to finish development of a branch, and commit all of its changes to the parent branch, use the aede(1) command, instead.

If you wish to stop anyone from developing more changes on the branch, use the aerd(1) command to remove all the developers.

OPTIONS
The following options are understood:

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-Keep
    This option may be used to retain files and/or directories usually deleted or replaced by the command. Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

-No_Keep
    This option may be used to ensure that the files and/or directories are deleted or replaced by the command. Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aenbr(1)
    create a new branch

aencu(1)
    new change undo

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/